package packageForL7L8;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JButton;
import javax.swing.JFrame;

import type.lang.*;

public class DrawVersion3 {

	public static void main(String[] args) {
		// Look! we can change the order of things.
		// Now we create three dots, each with its own colour (but they are not
		// rendered to the screen yet); together, these three dots form the
		// "data" of our program, and thus we should start thinking about what
		// sort of model could represent them
		final int DIAMETER = 100;
		Ellipse2D dot1 = new Ellipse2D.Double(20, 20, DIAMETER, DIAMETER);
		Ellipse2D dot2 = new Ellipse2D.Double(30, 30, DIAMETER, DIAMETER);
		Ellipse2D dot3 = new Ellipse2D.Double(40, 40, DIAMETER, DIAMETER);
		// The UniPanel will be the
		// visual representation of our application (the "view")
		UniPanel panel = new UniPanel();

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		frame.add(panel);
		frame.pack();
		frame.setVisible(true);

		// here's where we do the drawing
		Graphics2D graphicsObject = panel.getGraphics2D();
		frame.setBackground(Color.WHITE);
		panel.setBackground(Color.WHITE);
		graphicsObject.setBackground(Color.WHITE);
		graphicsObject.setColor(Color.RED);
		graphicsObject.draw(dot1);
		graphicsObject.setColor(Color.BLUE);
		graphicsObject.draw(dot2);
		graphicsObject.setColor(Color.GREEN);
		graphicsObject.draw(dot3);

		frame.repaint();
	}
}
